#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
printf '%s' 'name:                 topograph
version:              1.0.0.2
visibility:           public
id:                   topograph-1.0.0.2-EgORrgkP92GLHknnCGvH7u
key:                  topograph-1.0.0.2-EgORrgkP92GLHknnCGvH7u
license:              BSD-3-Clause
copyright:            (c) 2018-2019 Oleg Grenrus
maintainer:           Oleg.Grenrus <oleg.grenrus@iki.fi>
author:               Oleg Grenrus <oleg.grenrus@iki.fi>
homepage:             https://github.com/phadej/topograph
synopsis:             Directed acyclic graphs.
description:
    Directed acyclic graphs can be sorted topographically.
    Existence of topographic ordering allows writing many graph algorithms efficiently.
    And many graphs, e.g. most dependency graphs are acyclic!

    There are some algorithms built-in: dfs, transpose, transitive closure,
    transitive reduction...
    Some algorithms even become not-so-hard to implement, like a longest path!

category:             Data, Graph
abi:                  1266e10e428a7da7002797323a9ee367
exposed:              True
exposed-modules:      Topograph
import-dirs:          /usr/lib/ghc-9.4.8/site-local/topograph-1.0.0.2
library-dirs:         /usr/lib/ghc-9.4.8/site-local/topograph-1.0.0.2
library-dirs-static:  /usr/lib/ghc-9.4.8/site-local/topograph-1.0.0.2
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-topograph
hs-libraries:         HStopograph-1.0.0.2-EgORrgkP92GLHknnCGvH7u
depends:
    base-4.17.2.1 base-compat-0.12.3-H9qTMlLoDHsHlMi1O3x7Rp
    base-orphans-0.9.1-2rJDju77cxE7neoO2s5xxe containers-0.6.7
    vector-0.13.1.0-4yrO9MMzvlSAj3sbKvUmkp

haddock-interfaces:   /usr/share/doc/haskell-topograph/html/topograph.haddock
haddock-html:         /usr/share/doc/haskell-topograph/html
' | '/usr/bin/ghc-pkg-9.4.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

